Bug 1490301 (CVE-2017-12165)

Summary: CVE-2017-12165 undertow: improper whitespace parsing leading to potential HTTP request smuggling
Product: [Other] Security Response Reporter: Bharti Kundal <bkundal>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apo, bdawidow, bmaxwell, bmcclain, cdewolf, chazlett, csutherl, darran.lofthouse, dblechte, dimitris, dosoudil, drieden, eedri, jawilson, jshepherd, lef, lgao, mgoldboi, mgoldman, michal.skrivanek, myarboro, pdrozd, pgier, psakar, pslavice, psotirop, puntogil, rnetuka, rsvoboda, security-response-team, sherold, sthorger, twalsh, vtunka, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: undertow 1.4.17, undertow 1.3.31, undertow 2.0.0 Doc Type: If docs needed, set a value
Doc Text:
It was discovered that Undertow processes http request headers with unusual whitespaces which can cause possible http request smuggling.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:25:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1515024    
Bug Blocks: 1481669, 1520314    

Description Bharti Kundal 2017-09-11 09:46:02 UTC
It was discovered that Undertow processes http request headers with unusual whitespaces which can cause possible http request smuggling.

Comment 2 Adam Mariš 2017-09-12 08:08:13 UTC
Acknowledgments:

Name: Stuart Douglas (Red Hat)

Comment 5 errata-xmlrpc 2017-12-13 17:38:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2017:3456 https://access.redhat.com/errata/RHSA-2017:3456

Comment 6 errata-xmlrpc 2017-12-13 18:29:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3454 https://access.redhat.com/errata/RHSA-2017:3454

Comment 7 errata-xmlrpc 2017-12-13 18:45:09 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2017:3455 https://access.redhat.com/errata/RHSA-2017:3455

Comment 8 errata-xmlrpc 2017-12-13 18:55:32 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3458 https://access.redhat.com/errata/RHSA-2017:3458

Comment 9 Markus Koschany 2017-12-28 17:48:31 UTC
Could you share more information about the vulnerability please? What is the fixing commit in undertow's Git repository? 

https://github.com/undertow-io/undertow

Comment 11 errata-xmlrpc 2018-01-03 10:21:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0003 https://access.redhat.com/errata/RHSA-2018:0003

Comment 12 errata-xmlrpc 2018-01-03 10:33:22 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0002 https://access.redhat.com/errata/RHSA-2018:0002

Comment 13 errata-xmlrpc 2018-01-03 10:35:33 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2018:0004 https://access.redhat.com/errata/RHSA-2018:0004

Comment 14 errata-xmlrpc 2018-01-03 10:52:28 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0005 https://access.redhat.com/errata/RHSA-2018:0005

Comment 15 Bharti Kundal 2018-01-08 06:16:47 UTC
(In reply to Markus Koschany from comment #9)
> Could you share more information about the vulnerability please? What is the
> fixing commit in undertow's Git repository? 
> 
> https://github.com/undertow-io/undertow

Hi Markus,

Seems that this is being tracked here :https://issues.jboss.org/browse/UNDERTOW-1251 as far as I know.You can agther more information there.

Please let me know if you need more help.

Regards,
Bharti

Comment 16 errata-xmlrpc 2018-05-03 19:04:56 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:1322 https://access.redhat.com/errata/RHSA-2018:1322